%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        MATE Desktop window management tool
Name:           mate-netbook
Version:        1.26.0
Release:        %mkrel 2
License:        GPLv3
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:    intltool
BuildRequires:    itstool
BuildRequires:    yelp-tools
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    pkgconfig(libfakekey)
BuildRequires:    pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires:    pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:    pkgconfig(xtst)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    pkgconfig(libwnck-3.0)
BuildRequires:    pkgconfig(unique-3.0)

Requires:         mate-panel >= %{url_ver}

%description
This package provides a simple window management tool which provides the
following functionality:
 * Allow to set basic rules for window types;
 * Allow exceptions to the rules based on string matching for window
   name and window class;
 * Allows reversing of rules when the user manually changes something;
 * Re-decorates windows on un-maximize

%prep
%autosetup

%build
%configure --libexecdir=%{_libexecdir}/%{name}

%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc ChangeLog README
%{_sysconfdir}/xdg/autostart/mate-maximus-autostart.desktop
%{_bindir}/mate-maximus
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/mate-window-picker-applet
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/
%{_mandir}/man1/mate-maximus.1*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1837927
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740871
- new version 1.26.0
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548008
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488730
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465681
- Update to version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397031
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375504
- Update to version 1.22.0

* Mon Nov 26 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1335521
- Update to version 1.21.3

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299473
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201526
- Updated to 1.20.0 version

* Wed May 17 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1102452
- Update to 1.18.1 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092643
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Sat Dec 24 2016 wally <wally> 1.16.1-1.mga6
+ Revision: 1077052
- new version 1.16.1
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001525
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950889
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898530
-Update to 1.12.0 version

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 839913
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 740634
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 737565
- Update to 1.8.1 version
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682195
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600120
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598049
- Update to 1.7.x version

* Fri Jan 03 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 564326
- Update to bugfix version: 1.6.1

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531091
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445509
- imported package mate-netbook

